Belangrijke wijzigingen PHP

Inmiddels is PHP 5.6/7.0 al een tijdje EOL (End-Of-Life), dat wil zeggen hier komen geen updates meer voor uit. Op 1 december 2019 zal PHP 7.1 ook EOL gaan:
  • PHP 5.6 – per 31 december 2018
  • PHP 7.0 – per 10 januari 2019
  • PHP 7.1 – per 1 december 2019
Bij ons zijn inmiddels al een paar security bugs bekend en het blijven gebruiken van deze verouderde versies is een veiligheidsrisico. Mogelijk dat je klantgegevens hierdoor niet optimaal beveiligd zijn.
 

Update

We raden je dan ook aan om zo snel mogelijk een update pad uit te stippelen en een PHP update bij onze servicedesk aan te vragen! Dit is zo gedaan en is uiteraard helemaal kosteloos!
De huidige PHP versie kan je opvragen via:
  • Via de phpinfo() functie
  • php -v
  • In de LinQhost Portal
De volgende applicaties zijn compatible met PHP 7.2 en 7.3:
  • (PHP 7.2) Magento 2.2+
  • (PHP 7.3) Magento 2.3.3+
  • (PHP 7.3) WordPress 5.1+
  • (PHP 7.3) Drupal 8.6.4+
  • (PHP 7.3) Joomla 3.9+

Beperkte ondersteuning servicedesk

Onze servicedesk kan beperkte ondersteuning leveren op webapplicaties die de verlopen PHP versies gebruiken. Er is namelijk een grote kans dat eventuele bugs waar je tegenaan loopt al zijn verholpen in een nieuwere versie.

Tip

Wij raden je aan om bij de ontwikkeling van je website/applicatie goed de ontwikkel-roadmap van PHP in de gaten te houden en bij te blijven met de PHP versie; hoe minder versies je achterloopt, hoe minder je last van updates hebt! Je kunt bij LinQhost altijd kosteloos upgraden naar een nieuwere versie.

PHP 7.4

Met het EOL gaan van PHP 7.1 komt er ook een nieuwe versie van PHP uit: PHP 7.4. In deze versie zitten veel nieuwe features en een kleine snelheidswinst ten opzichte van PHP 7.3. Op de site van PHP kan je meer informatie vinden (engels).
Zoals je van ons gewend bent, bieden wij deze versie aan zodra de officiële release plaats gevonden heeft!